Package org.eclipse.emf.cdo.server

## Interface IStoreChunkReader

- All Known Subinterfaces:
    `IDBStoreChunkReader`, `ILissomeStoreChunkReader`
  All Known Implementing Classes:
    `StoreChunkReader`

      public interface IStoreChunkReader

  Reads `chunks` of `partially loaded` lists from a physical data storage backend.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IStoreChunkReader.Chunk` | Represents a `sublist` of consecutive elements that are subject to partial collection loading.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addRangedChunk​(int fromIndex, int toIndex)` |
    `void` | `addSimpleChunk​(int index)` |
    `java.util.List<IStoreChunkReader.Chunk>` | `executeRead()` |
    `IStoreAccessor` | `getAccessor()` |
    `EStructuralFeature` | `getFeature()` |
    `CDORevision` | `getRevision()` |

- - ### Method Detail

    - #### getAccessor

          IStoreAccessor getAccessor()

      Since:
        2.0

    - #### getRevision

          CDORevision getRevision()

    - #### getFeature

          EStructuralFeature getFeature()

      Since:
        2.0

    - #### addSimpleChunk

          void addSimpleChunk​(int index)

    - #### addRangedChunk

          void addRangedChunk​(int fromIndex,
                              int toIndex)

      Parameters:
        `fromIndex` - Inclusive value.
        `toIndex` - Exclusive value.

    - #### executeRead

          java.util.List<IStoreChunkReader.Chunk> executeRead()